corCAR1 {nlme} | R Documentation

## Continuous AR(1) Correlation Structure

### Description

This function is a constructor for the `corCAR1` class, representing an autocorrelation structure of order 1, with a continuous time covariate. Objects created using this constructor must be later initialized using the appropriate `Initialize` method.

### Usage

    corCAR1(value, form, fixed)

### Arguments

`value` | the correlation between two observations one unit of time apart. Must be between 0 and 1. Defaults to 0.2.

`form`

a one sided formula of the form `~ t`, or `~ t | g`, specifying a time covariate `t` and, optionally, a grouping factor `g`. Covariates for this correlation structure need not be integer valued. When a grouping factor is present in `form`, the correlation structure is assumed to apply only to observations within the same grouping level; observations with different grouping levels are assumed to be uncorrelated. Defaults to `~ 1`, which corresponds to using the order of the observations in the data as a covariate, and no groups.

`fixed` | an optional logical value indicating whether the coefficients should be allowed to vary in the optimization, or kept fixed at their initial value. Defaults to `FALSE`, in which case the coefficients are allowed to vary.

### Value

an object of class `corCAR1`, representing an autocorrelation structure of order 1, with a continuous time covariate.

### Author(s)

José Pinheiro and Douglas Bates bates@stat.wisc.edu

### References

Box, G.E.P., Jenkins, G.M., and Reinsel G.C. (1994) "Time Series Analysis: Forecasting and Control", 3rd Edition, Holden-Day.

Jones, R.H. (1993) "Longitudinal Data with Serial Correlation: A State-space Approach", Chapman and Hall.

Pinheiro, J.C., and Bates, D.M. (2000) "Mixed-Effects Models in S and S-PLUS", Springer, esp. pp. 236, 243.

### See Also

`corClasses`, `Initialize.corStruct`, `summary.corStruct`

### Examples

    ## covariate is Time and grouping factor is Mare
    cs1 <- corCAR1(0.2, form = ~ Time | Mare)

    # Pinheiro and Bates, pp. 240, 243
    fm1Ovar.lme <- lme(follicles ~
               sin(2*pi*Time) + cos(2*pi*Time),
       data = Ovary, random = pdDiag(~sin(2*pi*Time)))
    fm4Ovar.lme <- update(fm1Ovar.lme,
              correlation = corCAR1(form = ~Time))

[Package nlme version 3.1-131 Index]